import dayjs from "dayjs";
import { CronTime } from "./cron-time";
export declare const DEFAULT_TIME: dayjs.Dayjs;
export declare function getTime(cronTime: CronTime, isUTC?: boolean): dayjs.Dayjs;
export type CronMode = "day" | "week" | "month";
export declare function getMode(source: string): CronMode;
export declare function getDaily(mode: CronMode, source: string, time: dayjs.Dayjs, defaultTime?: dayjs.Dayjs): {
    step: number;
    time: dayjs.Dayjs;
};
export declare function toDailyString(step: number, time: dayjs.Dayjs): string;
export declare function getWeekly(mode: CronMode, source: string, time: dayjs.Dayjs, defaultTime?: dayjs.Dayjs): {
    step: number;
    days: number[];
    time: dayjs.Dayjs;
};
export declare function toWeeklyString(step: number, time: dayjs.Dayjs, days: number[]): string;
export declare function getMonthly(mode: CronMode, month: string, day: string, time: dayjs.Dayjs, defaultTime?: dayjs.Dayjs): {
    step: number;
    days: number[];
    time: dayjs.Dayjs;
};
export declare function toMonthlyString(step: number, time: dayjs.Dayjs, days: number[]): string;
export declare function transformPeriodToLocal(period: string | undefined, start_at?: string): string;
export declare function transformPeriodToUTC(period: string | undefined, start_at?: string): string;
